summaryrefslogtreecommitdiffstats
path: root/system/opensc/opensc.SlackBuild
diff options
context:
space:
mode:
author LukenShiro2010-05-13 00:41:15 +0200
committer David Somero2010-05-13 00:41:15 +0200
commit342d7eb38ca4fb8c9606c5176ea651db17b70df3 (patch)
tree5464944e8496f3782c83e85fcd1ec64aba913488 /system/opensc/opensc.SlackBuild
parent88c9a9da2fecd5178da19eb02da4ebd86014e4ad (diff)
downloadslackbuilds-342d7eb38ca4fb8c9606c5176ea651db17b70df3.tar.gz
system/opensc: Updated for version 0.11.12
Diffstat (limited to 'system/opensc/opensc.SlackBuild')
-rw-r--r--system/opensc/opensc.SlackBuild12
1 files changed, 7 insertions, 5 deletions
diff --git a/system/opensc/opensc.SlackBuild b/system/opensc/opensc.SlackBuild
index e66a440f54..547a3a3ea5 100644
--- a/system/opensc/opensc.SlackBuild
+++ b/system/opensc/opensc.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for opensc
-# Copyright 2008-2009 LukenShiro <lukenshiro@ngi.it>
+# Copyright 2008-2010 LukenShiro <lukenshiro@ngi.it>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=opensc
-VERSION=${VERSION:-0.11.8}
+VERSION=${VERSION:-0.11.12}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -81,8 +81,10 @@ make install DESTDIR=$PKG
mv $PKG/etc/opensc.conf $PKG/etc/opensc.conf.new
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -100,4 +102,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}